export declare type RepeatType = "*" | "+";
export declare type AssertType = "with" | "without";
export interface Chunk {
    tagName?: string;
    rule?: Function;
    props: {
        label?: string;
        type?: RepeatType | AssertType;
    };
    children: object[];
}
export declare function createChunk(from: string | Function, props: object, ...children: object[]): Chunk;
export declare function isChunk(obj: object): boolean;
