"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssertTranslator = void 0;
const base_1 = require("../common/base");
const pattern_1 = require("../common/pattern");
class AssertTranslator extends base_1.Translator {
    translate(chunk, actions) {
        const assertType = chunk.props.type === "with" ? "&" : "!";
        const expression = pattern_1.translateChildren(chunk, actions).join(" ");
        const pattern = `${assertType}(${expression})`;
        return pattern;
    }
}
exports.AssertTranslator = AssertTranslator;
