"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RepeatTranslator = void 0;
const base_1 = require("../common/base");
const pattern_1 = require("../common/pattern");
class RepeatTranslator extends base_1.Translator {
    translate(chunk, actions) {
        const expression = pattern_1.translateChildren(chunk, actions).join(" ");
        const repeatType = chunk.props.type;
        const pattern = `(${expression})${repeatType}`;
        return pattern;
    }
}
exports.RepeatTranslator = RepeatTranslator;
