import { TextTranslator } from "../built-in/text";
import { RuleTranslator } from "../rule/rule";
import { OrTranslator } from "../built-in/or";
import { ListTranslator } from "../built-in/list";
import { RepeatTranslator } from "../built-in/repeat";
import { OptionalTranslator } from "../built-in/opt";
import { AssertTranslator } from "../built-in/assert";
import { SetTranslator } from "../built-in/set";
import { PatternTranslator } from "../built-in/pattern";
export declare const TranslatorTable: {
    rule: typeof RuleTranslator;
    list: typeof ListTranslator;
    repeat: typeof RepeatTranslator;
    set: typeof SetTranslator;
    opt: typeof OptionalTranslator;
    assert: typeof AssertTranslator;
    text: typeof TextTranslator;
    or: typeof OrTranslator;
    pattern: typeof PatternTranslator;
};
